List all Workflow's Runs
curl --request GET \
--url https://api.captaindata.co/v3/workflows/{workflow_uid}/jobs \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/workflows/{workflow_uid}/jobs"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/workflows/{workflow_uid}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Job 1",
"status": "finished",
"start_time": "2024-11-26T18:21:03.000Z",
"scheduled_time": null,
"finish_time": "2024-11-26T18:21:09.000Z",
"row_count": 1,
"total_row_count": 1,
"error_message": null,
"workflow_name": "Sample Workflow",
"workflow_uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"main_job_uid": null,
"main_job_name": null,
"configuration": {
"steps": [
{
"accounts": [
"xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
],
"parameters": {},
"workflow_template_uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"accounts_rotation_enabled": false
}
]
},
"accounts": [
"xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
],
"number_inputs": 1,
"step_uid": null
},
{
"uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Job 2",
"status": "finished",
"start_time": "2024-11-23T12:24:55.000Z",
"scheduled_time": null,
"finish_time": "2024-11-23T12:25:40.000Z",
"row_count": 17,
"total_row_count": 17,
"error_message": null,
"workflow_name": "Sample Workflow",
"workflow_uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"main_job_uid": null,
"main_job_name": null,
"configuration": {
"steps": [
{
"accounts": [],
"parameters": {},
"workflow_template_uid": "xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"accounts_rotation_enabled": true
}
]
},
"accounts": [],
"number_inputs": 25,
"step_uid": null
}
]{
"detail": [
"<unknown>"
]
}Runs
List all Workflow's Runs
GET
/
v3
/
workflows
/
{workflow_uid}
/
jobs
List all Workflow's Runs
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Query Parameters
Response
List of jobs retrieved successfully.
⌘I